# Add a Content Idea

## POST /addContentIdea

> Add a new content idea

```json
{"openapi":"3.0.0","info":{"title":"Ranklytics API","version":"1.0.0"},"tags":[{"name":"Content","description":"Content"}],"servers":[{"url":"https://api.ranklytics.ai","description":"Ranklytics API Server"}],"security":[{"apiKey":[],"secretKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"API Key for authentication","name":"X-API-KEY","in":"header"}}},"paths":{"/addContentIdea":{"post":{"tags":["Content"],"summary":"Add a new content idea","operationId":"67df26ca47292b29259fcfe4bf4efbc3","requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"project_id":{"type":"integer"},"topic":{"type":"string"},"keyword":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"},"id":{"type":"integer"}},"type":"object"}}}},"400":{"description":"Invalid API Credentials, Project not found, or Content Idea already exists","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}}}}}}}
```
